umbrello: CodeGenerationPolicyPage Class Reference

umbrello 2.39.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Attributes | List of all members
CodeGenerationPolicyPage Class Reference

`#include <codegenerationpolicypage.h>`

Inheritance diagram for CodeGenerationPolicyPage:

## Public Slots
virtual void | apply ()

## Public Member Functions
| CodeGenerationPolicyPage (QWidget *parent=0, const char *name=0, CodeGenPolicyExt *policy=0)
virtual | ~CodeGenerationPolicyPage ()
void | setDefaults ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Attributes
CodeGenPolicyExt * | m_parentPolicy
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Detailed Description

Author
  Brian Thomas

## Constructor & Destructor Documentation

## ◆ CodeGenerationPolicyPage()

CodeGenerationPolicyPage::CodeGenerationPolicyPage | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | CodeGenPolicyExt * | policy = 0 )
| explicit

This is the page which comes up IF there is no special options for the code generator.

## ◆ ~CodeGenerationPolicyPage()

CodeGenerationPolicyPage::~CodeGenerationPolicyPage | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ apply

void CodeGenerationPolicyPage::apply | ( |  | ) |
| virtualslot

## ◆ setDefaults()

void CodeGenerationPolicyPage::setDefaults | ( |  | ) |

## Member Data Documentation

## ◆ m_parentPolicy

CodeGenPolicyExt* CodeGenerationPolicyPage::m_parentPolicy
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/codegenerationpolicypage.h
- umbrello/dialogs/pages/codegenerationpolicypage.cpp